#!/bin/sh

# Comments to support chkconfig on RedHat Linux
# chkconfig: 2345 64 36
# description: A very fast and reliable SQL database engine.

### BEGIN INIT INFO
# Provides: mysql
# Required-Start: $local_fs $network $remote_fs
# Should-Start: ypbind nscd ldap ntpd xntpd
# Required-Stop: $local_fs $network $remote_fs
# Default-Start:  2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: start and stop MySQL
# Description: MySQL is a very fast and reliable SQL database engine.
### END INIT INFO

#linux_agent进程所在目录
PROCESS_PATH=/root/lpyuan/linux_agent

#启动服务函数入口
start(){
echo -n "start Agent..."
cd ${PROCESS_PATH}
sleep 0.5
sh startAgent.sh
}

#关闭服务函数入口
stop(){
echo -n "stop Agent..."
cd ${PROCESS_PATH}
sleep 0.5
sh stopAgent.sh
}

case "$1" in

start)
start
;;

stop)
stop
;;

restart)
stop
start
;;

status)
echo
echo ----------------------------------status-----------------------------------
ps -ef |grep audit_agent
ps -ef |grep watchAgent.sh
netstat -alnp|grep 9999
echo ---------------------------------------------------------------------------
echo
;;

*)
sleep 0.5
echo "Usage: $0 {start|stop|restart}"
exit 1
;;

esac
exit 0
