#!/bin/bash
mkdir -p ../../agent_log
LOG_File="../../agent_log/watch_audit_agent.log"
PROGRAM="audit_agent"
DAEMON="watchAgent"

# 判断脚本是否重复运行
tmp=`ps -ef | grep $DAEMON | grep sh | wc -l`
if [ $tmp -gt 2 ] 
then
    echo "$DAEMON is already running."
    exit 1;
fi

# 监控进程
while (true)
do
	tmp=`ps -e |grep $PROGRAM |wc -l`
	if [ $tmp -ge 1 ];then
        echo "[`date "+%Y-%m-%d %H:%M:%S"`]$PROGRAM is already exist." >> /dev/null 2>&1
    else
		echo "[`date "+%Y-%m-%d %H:%M:%S"`]$PROGRAM is not exist, run ." >> $LOG_File 2>&1
		nohup ./$PROGRAM >> $LOG_File 2>&1 &
    fi
    sleep 5
done